%define upstream_name	 DateTime-Format-W3CDTF
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse and format W3CDTF datetime strings
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/RPM4
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More) >= 0.610.0
BuildArch:  noarch

%description
This module understands the W3CDTF date/time format, an ISO 8601 profile,
defined at https://www.w3.org/TR/NOTE-datetime. This format as the native
date format of RSS 1.0.

It can be used to parse these formats in order to create the appropriate
objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README SIGNATURE examples
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-3.mga10
+ Revision: 2206727
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.80.0-2.mga9
+ Revision: 1813757
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 tv <tv> 0.80.0-1.mga8
+ Revision: 1661622
- update to 0.08

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-3.mga8
+ Revision: 1503758
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.70.0-2.mga7
+ Revision: 1282666
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.70.0-1.mga7
+ Revision: 1128463
- update to 0.07

* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1025273
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 946385
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 742828
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 684287
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 510726
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 365664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 25 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 59701
- update to 0.06

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 36211
- mageia rebuild
- imported package perl-DateTime-Format-W3CDTF


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.1
+ Revision: 461270
- update to 0.05

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 406975
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.04-6mdv2009.0
+ Revision: 256560
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.04-4mdv2008.1
+ Revision: 152053
- rebuild
- rebuild

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.04-1mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.04-1mdv2007.0
+ Revision: 85415
- buildrequires
- initial mdv package
- Create perl-DateTime-Format-W3CDTF

